Page MenuHomePhabricator

Introduce a "entity change subscription" service
Closed, ResolvedPublic

Description

An "entity change subscription"allows a client wiki to subscribe to changes to a given entity. These subscriptions would be used as the basis for dispatching changes. Currently, we dispatch changes based on sitelinks; this will no longer be sufficient with arbitrary access.

Note that we'll also need a script to populate the subscription table from a) the sitelinks table or better b) each client's entity_usage table. That should probably be a separate ticket though.


Version: unspecified
Severity: normal
Whiteboard: u=dev c=backend p=8

Details

Reference
bz71052

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 3:57 AM
bzimport set Reference to bz71052.
bzimport added a subscriber: Unknown Object (MLST).
daniel created this task.Sep 19 2014, 6:09 PM
Lydia_Pintscher removed a subscriber: Unknown Object (MLST).
Lydia_Pintscher removed a subscriber: Unknown Object (MLST).Dec 1 2014, 2:33 PM
Tobi_WMDE_SW renamed this task from Implement "entity change subscription" service to Introduce a "entity change subscription" service.Jan 8 2015, 3:20 PM
Tobi_WMDE_SW set Security to None.
adrianheine added a subscriber: adrianheine.
adrianheine removed a subscriber: adrianheine.
Lydia_Pintscher moved this task from incoming to hold on the Wikidata board.Mar 16 2015, 10:11 AM
hoo added a subscriber: hoo.Jul 19 2015, 4:59 PM

@daniel: Is there anything missing here or can we close this one?

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 19 2015, 4:59 PM
daniel closed this task as Resolved.Jul 19 2015, 6:41 PM
daniel claimed this task.

all done